using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderState
	/// </summary>
	public partial class T_Wo_WorkOrderState
	{
		private readonly ZXDT.CallCenter.DAL.T_Wo_WorkOrderState dal=new ZXDT.CallCenter.DAL.T_Wo_WorkOrderState();
		public T_Wo_WorkOrderState()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_WorkOrderStateId)
		{
			return dal.Exists(F_WorkOrderStateId);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool  Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderState model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderState model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_WorkOrderStateId)
		{
			
			return dal.Delete(F_WorkOrderStateId);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_WorkOrderStateIdlist )
		{
			return dal.DeleteList(F_WorkOrderStateIdlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_WorkOrderState GetModel(int F_WorkOrderStateId)
		{
			
			return dal.GetModel(F_WorkOrderStateId);
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderState> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderState> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wo_WorkOrderState> modelList = new List<ZXDT.CallCenter.Model.T_Wo_WorkOrderState>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wo_WorkOrderState model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wo_WorkOrderState();
					if(dt.Rows[n]["F_WorkOrderStateId"]!=null && dt.Rows[n]["F_WorkOrderStateId"].ToString()!="")
					{
						model.F_WorkOrderStateId=int.Parse(dt.Rows[n]["F_WorkOrderStateId"].ToString());
					}
					if(dt.Rows[n]["F_Name"]!=null && dt.Rows[n]["F_Name"].ToString()!="")
					{
					model.F_Name=dt.Rows[n]["F_Name"].ToString();
					}
					if(dt.Rows[n]["F_Code"]!=null && dt.Rows[n]["F_Code"].ToString()!="")
					{
					model.F_Code=dt.Rows[n]["F_Code"].ToString();
					}
					if(dt.Rows[n]["F_Des"]!=null && dt.Rows[n]["F_Des"].ToString()!="")
					{
					model.F_Des=dt.Rows[n]["F_Des"].ToString();
					}
					if(dt.Rows[n]["F_Sort"]!=null && dt.Rows[n]["F_Sort"].ToString()!="")
					{
						model.F_Sort=int.Parse(dt.Rows[n]["F_Sort"].ToString());
					}
					if(dt.Rows[n]["F_Stateimage"]!=null && dt.Rows[n]["F_Stateimage"].ToString()!="")
					{
					model.F_Stateimage=dt.Rows[n]["F_Stateimage"].ToString();
					}
					if(dt.Rows[n]["F_Deleteflag"]!=null && dt.Rows[n]["F_Deleteflag"].ToString()!="")
					{
						model.F_Deleteflag=int.Parse(dt.Rows[n]["F_Deleteflag"].ToString());
                    }
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

